> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Update one consumer

> Update one consumer in Chift



## OpenAPI

````yaml patch /consumers/{consumer_id}
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}:
    patch:
      tags:
        - Consumers
      summary: Update one consumer
      description: Update one consumer in Chift
      operationId: consumers_update_consumer
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateConsumerItem'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConsumerItem'
        '404':
          content:
            application/json:
              example:
                message: The consumer does not exist
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Not Found
        '422':
          content:
            application/json:
              example:
                message: The specified redirect url is not valid
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Unprocessable Entity
      security:
        - mcp_auth:
            - consumers
components:
  schemas:
    UpdateConsumerItem:
      properties:
        name:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Name
          description: >-
            Name of the consumer as it will appear in your Chift platform. This
            name may be used for automated communications, such as automatic
            mailings if you enable this feature.
        email:
          anyOf:
            - type: string
              maxLength: 80
            - type: 'null'
          title: Email
          description: >-
            Optional - Email address of the consumer. It can be used for sending
            automated reminders (if feature enabled) and deployment by mail of
            local agent (when on-premise connector).
        internal_reference:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Internal Reference
          description: >-
            Your internal reference for the client (e.g., customer ID or unique
            identifier in your system).
        redirect_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Redirect Url
          description: >-
            URL to redirect the user after completing the activation via our
            link. Useful for directing customers to a dynamic or personalized
            url. You can also set up a default static URL in Chift's back office
            for all consumers.
      type: object
      title: UpdateConsumerItem
    ConsumerItem:
      properties:
        consumerid:
          type: string
          format: uuid
          title: Consumerid
          description: Unique id of the consumer in Chift
        name:
          type: string
          minLength: 1
          title: Name
          description: >-
            Name of the consumer as it will appear in your Chift platform. This
            name may be used for automated communications, such as automatic
            mailings if you enable this feature
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          description: >-
            Optional - Email address of the consumer. It can be used for sending
            automated reminders (if the feature is enabled) and deployment by
            mail of local agent (when on-premise connector).
        internal_reference:
          anyOf:
            - type: string
            - type: 'null'
          title: Internal Reference
          description: >-
            Your internal reference for the client (e.g., customer ID or unique
            identifier in your system).
        redirect_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Redirect Url
          description: >-
            URL to redirect the user after completing the activation via our
            link. Useful for directing customers to a dynamic or personalized
            url. You can also set up a default static URL in Chift's back office
            for all consumers.
      type: object
      required:
        - consumerid
        - name
      title: ConsumerItem
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````